Package com.sun.ts.lib.util.sec.security.util

# Class Debug

java.lang.Object
com.sun.ts.lib.util.sec.security.util.Debug

public class Debug extends Object
A utility class for debuging.

Author:
  Roland Schemers

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Debug()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Debug`
  `getInstance(String option)`
  Get a Debug object corresponding to whether or not the given option is set.
  `static Debug`
  `getInstance(String option, String prefix)`
  Get a Debug object corresponding to whether or not the given option is set.
  `static void`
  `Help()`
  `static boolean`
  `isOn(String option)`
  True if the system property "security.debug" contains the string "option".
  `void`
  `println()`
  print a blank line to stderr that is prefixed with the prefix.
  `void`
  `println(String message)`
  print a message to stderr that is prefixed with the prefix created from the call to getInstance.
  `static void`
  `println(String prefix, String message)`
  print a message to stderr that is prefixed with the prefix.
  `static String`
  `toHexString(BigInteger b)`
  return a hexadecimal printed representation of the specified BigInteger object. the value is formatted to fit on lines of at least 75 characters, with embedded newlines.
  `static String`
  `toString(byte[] b)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Debug

    public Debug()

- ## Method Details

  - ### Help

    public static void Help()

  - ### getInstance

    public static Debug getInstance(String option)
    Get a Debug object corresponding to whether or not the given option is set. Set the prefix to be the same as option.

  - ### getInstance

    public static Debug getInstance(String option, String prefix)
    Get a Debug object corresponding to whether or not the given option is set. Set the prefix to be prefix.

  - ### isOn

    public static boolean isOn(String option)
    True if the system property "security.debug" contains the string "option".

  - ### println

    public void println(String message)
    print a message to stderr that is prefixed with the prefix created from the call to getInstance.

  - ### println

    public void println()
    print a blank line to stderr that is prefixed with the prefix.

  - ### println

    public static void println(String prefix, String message)
    print a message to stderr that is prefixed with the prefix.

  - ### toHexString

    public static String toHexString(BigInteger b)
    return a hexadecimal printed representation of the specified BigInteger object. the value is formatted to fit on lines of at least 75 characters, with embedded newlines. Words are separated for readability, with eight words (32 bytes) per line.

  - ### toString

    public static String toString(byte[] b)